Index: /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Mail.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Mail.php	(revision 22584)
+++ /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Mail.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Basis_Mail extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Basis_Mail extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'basis/mail.tpl';
@@ -58,6 +56,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -69,9 +66,7 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $masterData = new SC_DB_MasterData_Ex();
-        $objMailtemplate = new SC_Helper_Mailtemplate_Ex();
 
         $mode = $this->getMode();
@@ -91,7 +86,7 @@
         switch ($mode) {
             case 'id_set':
-                    $mailtemplate = $objMailtemplate->get($post['template_id']);
-                    if ($mailtemplate) {
-                        $this->arrForm = $mailtemplate;
+                    $result = $this->lfGetMailTemplateByTemplateID($post['template_id']);
+                    if ($result) {
+                        $this->arrForm = $result[0];
                     } else {
                         $this->arrForm['template_id'] = $post['template_id'];
@@ -107,5 +102,5 @@
                     } else {
                         // 正常
-                        $this->lfRegistMailTemplate($this->arrForm, $_SESSION['member_id'], $objMailtemplate);
+                        $this->lfRegistMailTemplate($this->arrForm, $_SESSION['member_id']);
 
                         // 完了メッセージ
@@ -125,22 +120,38 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
 
-    function lfRegistMailTemplate($post, $member_id, SC_Helper_Mailtemplate_Ex $objMailtemplate)
-    {
-        $post['creator_id'] = $member_id;
-        $objMailtemplate->save($post);
+    function lfGetMailTemplateByTemplateID($template_id) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+
+        $sql = 'SELECT * FROM dtb_mailtemplate WHERE template_id = ?';
+        return $objQuery->getAll($sql, array($template_id));
     }
 
-    function lfInitParam($mode, &$objFormParam)
-    {
+    function lfRegistMailTemplate($post, $member_id) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+
+        $post['creator_id'] = $member_id;
+        $post['update_date'] = 'CURRENT_TIMESTAMP';
+
+        $sql = 'SELECT * FROM dtb_mailtemplate WHERE template_id = ?';
+        $template_data = $objQuery->getAll($sql, array($post['template_id']));
+        if ($template_data) {
+            $sql_where = 'template_id = ?';
+            $objQuery->update('dtb_mailtemplate', $post, $sql_where, array(addslashes($post['template_id'])));
+        } else {
+            $objQuery->insert('dtb_mailtemplate', $post);
+        }
+
+    }
+
+    function lfInitParam($mode, &$objFormParam) {
         switch ($mode) {
             case 'regist':
                 $objFormParam->addParam('メールタイトル', 'subject', MTEXT_LEN, 'KVa', array('EXIST_CHECK','SPTAB_CHECK','MAX_LENGTH_CHECK'));
-                $objFormParam->addParam('ヘッダー', 'header', LTEXT_LEN, 'KVa', array('SPTAB_CHECK','MAX_LENGTH_CHECK'));
-                $objFormParam->addParam('フッター', 'footer', LTEXT_LEN, 'KVa', array('SPTAB_CHECK','MAX_LENGTH_CHECK'));
+                $objFormParam->addParam('ヘッダー', 'header', LTEXT_LEN, 'KVa', array('EXIST_CHECK','SPTAB_CHECK','MAX_LENGTH_CHECK'));
+                $objFormParam->addParam('フッター', 'footer', LTEXT_LEN, 'KVa', array('EXIST_CHECK','SPTAB_CHECK','MAX_LENGTH_CHECK'));
                 $objFormParam->addParam('テンプレート', 'template_id', INT_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK', 'MAX_LENGTH_CHECK'));
             case 'id_set':
Index: /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Delivery.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Basis_Delivery extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Basis_Delivery extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'basis/delivery.tpl';
@@ -61,6 +59,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -72,8 +69,7 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
-        $objDeliv = new SC_Helper_Delivery_Ex();
+        $objDb = new SC_Helper_DB_Ex();
         $mode = $this->getMode();
 
@@ -92,15 +88,15 @@
             case 'delete':
                 // ランク付きレコードの削除
-                $objDeliv->delete($_POST['deliv_id']);
+                $objDb->sfDeleteRankRecord('dtb_deliv', 'deliv_id', $_POST['deliv_id']);
 
                 $this->objDisplay->reload(); // PRG pattern
                 break;
             case 'up':
-                $objDeliv->rankUp($_POST['deliv_id']);
+                $objDb->sfRankUp('dtb_deliv', 'deliv_id', $_POST['deliv_id']);
 
                 $this->objDisplay->reload(); // PRG pattern
                 break;
             case 'down':
-                $objDeliv->rankDown($_POST['deliv_id']);
+                $objDb->sfRankDown('dtb_deliv', 'deliv_id', $_POST['deliv_id']);
 
                 $this->objDisplay->reload(); // PRG pattern
@@ -109,6 +105,22 @@
                 break;
         }
-        $this->arrDelivList = $objDeliv->getList();
+        $this->arrDelivList = $this->lfGetDelivList();
 
+    }
+
+    /**
+     * 配送業者一覧の取得
+     *
+     * @return array
+     */
+    function lfGetDelivList() {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+
+        $col = 'deliv_id, name, service_name';
+        $where = 'del_flg = 0';
+        $table = 'dtb_deliv';
+        $objQuery->setOrder('rank DESC');
+
+        return $objQuery->select($col, $table, $where);
     }
 
@@ -119,6 +131,5 @@
      * @return array
      */
-    function lfCheckError($mode, &$objFormParam)
-    {
+    function lfCheckError($mode, &$objFormParam) {
         $arrErr = array();
         switch ($mode) {
@@ -143,6 +154,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_DeliveryInput.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_DeliveryInput.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_DeliveryInput.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Basis_DeliveryInput extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Basis_DeliveryInput extends LC_Page_Admin_Ex {
     // }}}
     // {{{ functions
@@ -42,6 +41,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'basis/delivery_input.tpl';
@@ -51,5 +49,5 @@
         $this->arrPref = $masterData->getMasterData('mtb_pref');
         $this->arrProductType = $masterData->getMasterData('mtb_product_type');
-        $this->arrPayments = SC_Helper_Payment_Ex::getIDValueList();
+        $this->arrPayments = SC_Helper_DB_Ex::sfGetIDValueList('dtb_payment', 'payment_id', 'payment_method');
         $this->tpl_maintitle = '基本情報管理';
         $this->tpl_subtitle = '配送方法設定';
@@ -62,6 +60,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -73,7 +70,6 @@
      * @return void
      */
-    function action()
-    {
-        $objFormParam = new SC_FormParam_Ex();
+    function action() {
+
         $this->lfInitParam($this->mode, $objFormParam);
         $objFormParam->setParam($_POST);
@@ -109,12 +105,10 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
 
     /* パラメーター情報の初期化 */
-    function lfInitParam($mode, &$objFormParam)
-    {
+    function lfInitParam($mode, &$objFormParam) {
         $objFormParam = new SC_FormParam_Ex();
 
@@ -154,10 +148,9 @@
      * @return $deliv_id
      */
-    function lfRegistData($arrRet, $member_id)
-    {
-        $objDelivery = new SC_Helper_Delivery_Ex();
+    function lfRegistData($arrRet, $member_id) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $objQuery->begin();
 
         // 入力データを渡す。
-        $sqlval['deliv_id'] = $arrRet['deliv_id'];
         $sqlval['name'] = $arrRet['name'];
         $sqlval['service_name'] = $arrRet['service_name'];
@@ -166,45 +159,108 @@
         $sqlval['product_type_id'] = $arrRet['product_type_id'];
         $sqlval['creator_id'] = $member_id;
-
-        // お届け時間
-        $sqlval['deliv_time'] = array();
-        for ($cnt = 1; $cnt <= DELIVTIME_MAX; $cnt++) {
-            $keyname = "deliv_time$cnt";
-            if ($arrRet[$keyname] != '') {
-                $sqlval['deliv_time'][$cnt] = $arrRet[$keyname];
-            }
-        }
-
-        // 配送料
-        if (INPUT_DELIV_FEE) {
-            $sqlval['deliv_fee'] = array();
-            // 配送料金の設定
-            for ($cnt = 1; $cnt <= DELIVFEE_MAX; $cnt++) {
-                $keyname = "fee$cnt";
+        $sqlval['update_date'] = 'CURRENT_TIMESTAMP';
+
+        // deliv_id が決まっていた場合
+        if ($arrRet['deliv_id'] != '') {
+            $deliv_id = $arrRet['deliv_id'];
+            $where = 'deliv_id = ?';
+            $objQuery->update('dtb_deliv', $sqlval, $where, array($deliv_id));
+
+            // お届け時間の登録
+            $table = 'dtb_delivtime';
+            $where = 'deliv_id = ? AND time_id = ?';
+            for ($cnt = 1; $cnt <= DELIVTIME_MAX; $cnt++) {
+                $sqlval = array();
+                $keyname = 'deliv_time'.$cnt;
+                $arrWhereVal = array($deliv_id, $cnt);
+                // 既存データの有無を確認
+                $curData = $objQuery->select('*', $table, $where, $arrWhereVal);
+
+                if (strcmp($arrRet[$keyname], '') != 0) {
+                    $sqlval['deliv_time'] = $arrRet[$keyname];
+
+                    // 入力が空ではなく、DBに情報があれば更新
+                    if (count($curData)) {
+                        $objQuery->update($table, $sqlval, $where, $arrWhereVal);
+                    }
+                    // DBに情報がなければ登録
+                    else {
+                        $sqlval['deliv_id'] = $deliv_id;
+                        $sqlval['time_id'] = $cnt;
+                        $objQuery->insert($table, $sqlval);
+                    }
+                }
+                // 入力が空で、DBに情報がある場合は削除
+                else if (count($curData)) {
+                    $objQuery->delete($table, $where, $arrWhereVal);
+                }
+            }
+
+            // 配送料の登録
+            if (INPUT_DELIV_FEE) {
+                for ($cnt = 1; $cnt <= DELIVFEE_MAX; $cnt++) {
+                    $keyname = 'fee'.$cnt;
+                    if (strcmp($arrRet[$keyname], '') != 0) {
+                        $sqlval = array('fee' => $arrRet[$keyname]);
+                        $objQuery->update('dtb_delivfee', $sqlval, 'deliv_id = ? AND fee_id = ?', array($deliv_id, $cnt));
+                    }
+                }
+            }
+        } else {
+            // 登録する配送業者IDの取得
+            $deliv_id = $objQuery->nextVal('dtb_deliv_deliv_id');
+            $sqlval['deliv_id'] = $deliv_id;
+            $sqlval['rank'] = $objQuery->max('rank', 'dtb_deliv') + 1;
+            $sqlval['create_date'] = 'CURRENT_TIMESTAMP';
+            // INSERTの実行
+            $objQuery->insert('dtb_deliv', $sqlval);
+
+            $sqlval = array();
+            // お届け時間の設定
+            for ($cnt = 1; $cnt <= DELIVTIME_MAX; $cnt++) {
+                $keyname = "deliv_time$cnt";
                 if ($arrRet[$keyname] != '') {
-                    $fee = array();
-                    $fee['fee_id'] = $cnt;
-                    $fee['fee'] = $arrRet[$keyname];
-                    $fee['pref'] = $cnt;
-                    $sqlval['deliv_fee'][$cnt] = $fee;
-                }
-            }
-        }
-
-        // 支払い方法
-        $sqlval['payment_ids'] = array();
-        foreach ($arrRet['payment_ids'] as $payment_id) {
-            $sqlval['payment_ids'][] = $payment_id;
-        }
-
-        $deliv_id = $objDelivery->save($sqlval);
-
+                    $sqlval['deliv_id'] = $deliv_id;
+                    $sqlval['time_id'] = $cnt;
+                    $sqlval['deliv_time'] = $arrRet[$keyname];
+                    // INSERTの実行
+                    $objQuery->insert('dtb_delivtime', $sqlval);
+                }
+            }
+
+            if (INPUT_DELIV_FEE) {
+                $sqlval = array();
+                // 配送料金の設定
+                for ($cnt = 1; $cnt <= DELIVFEE_MAX; $cnt++) {
+                    $keyname = "fee$cnt";
+                    if ($arrRet[$keyname] != '') {
+                        $sqlval['deliv_id'] = $deliv_id;
+                        $sqlval['fee'] = $arrRet[$keyname];
+                        $sqlval['pref'] = $cnt;
+                        // INSERTの実行
+                        $sqlval['fee_id'] = $cnt;
+                        $objQuery->insert('dtb_delivfee', $sqlval);
+                    }
+                }
+            }
+        }
+
+        $objQuery->delete('dtb_payment_options', 'deliv_id = ?', array($arrRet['deliv_id']));
+        $sqlval = array();
+        $i = 1;
+        foreach ($arrRet['payment_ids'] as $val) {
+            $sqlval['deliv_id'] = $deliv_id;
+            $sqlval['payment_id'] = $val;
+            $sqlval['rank'] = $i;
+            $objQuery->insert('dtb_payment_options', $sqlval);
+            $i++;
+        }
+        $objQuery->commit();
         return $deliv_id;
     }
 
     /* 配送業者情報の取得 */
-    function lfGetDelivData(&$objFormParam)
-    {
-        $objDelivery = new SC_Helper_Delivery_Ex();
+    function lfGetDelivData(&$objFormParam) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
 
         $deliv_id = $objFormParam->getValue('deliv_id');
@@ -213,30 +269,36 @@
         $this->lfInitParam('edit', $objFormParam);
 
-        $arrDeliv = $objDelivery->get($deliv_id);
-
-        // お届け時間
-        $deliv_times = array();
-        foreach ($arrDeliv['deliv_time'] as $value) {
-            $deliv_times[]['deliv_time'] = $value;
-        }
-        $objFormParam->setParamList($deliv_times, 'deliv_time');
-        unset($arrDeliv['deliv_time']);
-        // 配送料金
-        $deliv_fee = array();
-        foreach ($arrDeliv['deliv_fee'] as $value) {
-            $deliv_fee[]['fee'] = $value['fee'];
-        }
-        $objFormParam->setParamList($deliv_fee, 'fee');
-        unset($arrDeliv['deliv_fee']);
+        // 配送業者一覧の取得
+        $col = 'deliv_id, name, service_name, remark, confirm_url, product_type_id';
+        $where = 'deliv_id = ?';
+        $table = 'dtb_deliv';
+        $arrRet = $objQuery->select($col, $table, $where, array($deliv_id));
+        $objFormParam->setParam($arrRet[0]);
+        // お届け時間の取得
+        $col = 'deliv_time';
+        $where = 'deliv_id = ?  ORDER BY time_id';
+        $table = 'dtb_delivtime';
+        $arrRet = $objQuery->select($col, $table, $where, array($deliv_id));
+        $objFormParam->setParamList($arrRet, 'deliv_time');
+        // 配送料金の取得
+        $col = 'fee';
+        $where = 'deliv_id = ? ORDER BY pref';
+        $table = 'dtb_delivfee';
+        $arrRet = $objQuery->select($col, $table, $where, array($deliv_id));
+        $objFormParam->setParamList($arrRet, 'fee');
         // 支払方法
-        $objFormParam->setValue('payment_ids', $arrDeliv['payment_ids']);
-        unset($arrDeliv['payment_ids']);
-        // 配送業者
-        $objFormParam->setParam($arrDeliv);
+        $col = 'payment_id';
+        $where = 'deliv_id = ? ORDER BY rank';
+        $table = 'dtb_payment_options';
+        $arrRet = $objQuery->select($col, $table, $where, array($deliv_id));
+        $arrPaymentIds = array();
+        foreach ($arrRet as $val) {
+            $arrPaymentIds[] = $val['payment_id'];
+        }
+        $objFormParam->setValue('payment_ids', $arrPaymentIds);
     }
 
     /* 入力内容のチェック */
-    function lfCheckError(&$objFormParam)
-    {
+    function lfCheckError(&$objFormParam) {
         // 入力データを渡す。
         $arrRet =  $objFormParam->getHashArray();
@@ -246,6 +308,12 @@
         if (!isset($objErr->arrErr['name'])) {
             // 既存チェック
-            $objDelivery = new SC_Helper_Delivery_Ex();
-            if ($objDelivery->checkExist($arrRet)) {
+            $objDb = new SC_Helper_DB_Ex();
+            if ($arrRet['deliv_id'] == '') {
+                $ret = $objDb->sfIsRecord('dtb_deliv', 'service_name', array($arrRet['service_name']));
+            } else {
+                $objQuery =& SC_Query_Ex::getSingletonInstance();
+                $ret = (($objQuery->count('dtb_deliv', 'deliv_id != ? AND service_name = ? ', array($arrRet['deliv_id'], $arrRet['service_name'])) > 0)? true : false);
+            }
+            if ($ret) {
                 $objErr->arrErr['service_name'] = '※ 同じ名称の組み合わせは登録できません。<br>';
             }
Index: /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tradelaw.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tradelaw.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tradelaw.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Basis_Tradelaw extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Basis_Tradelaw extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'basis/tradelaw.tpl';
@@ -61,6 +59,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -72,6 +69,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objDb = new SC_Helper_DB_Ex();
@@ -121,12 +117,10 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
 
     /* パラメーター情報の初期化 */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('販売業者', 'law_company', STEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('運営責任者', 'law_manager', STEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
@@ -144,14 +138,13 @@
         $objFormParam->addParam('メールアドレス', 'law_email', null, 'KVa', array('EXIST_CHECK', 'EMAIL_CHECK', 'EMAIL_CHAR_CHECK'));
         $objFormParam->addParam('URL', 'law_url', STEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'URL_CHECK'));
-        $objFormParam->addParam('必要料金', 'law_term01', MLTEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
-        $objFormParam->addParam('注文方法', 'law_term02', MLTEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
-        $objFormParam->addParam('支払方法', 'law_term03', MLTEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
-        $objFormParam->addParam('支払期限', 'law_term04', MLTEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
-        $objFormParam->addParam('引き渡し時期', 'law_term05', MLTEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
-        $objFormParam->addParam('返品・交換について', 'law_term06', MLTEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('必要料金', 'law_term01', MTEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('注文方法', 'law_term02', MTEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('支払方法', 'law_term03', MTEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('支払期限', 'law_term04', MTEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('引き渡し時期', 'law_term05', MTEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('返品・交換について', 'law_term06', MTEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
     }
 
-    function lfUpdateData($sqlval)
-    {
+    function lfUpdateData($sqlval) {
         $sqlval['update_date'] = 'CURRENT_TIMESTAMP';
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -160,6 +153,5 @@
     }
 
-    function lfInsertData($sqlval)
-    {
+    function lfInsertData($sqlval) {
         $sqlval['update_date'] = 'CURRENT_TIMESTAMP';
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -169,6 +161,5 @@
 
     /* 入力内容のチェック */
-    function lfCheckError(&$objFormParam)
-    {
+    function lfCheckError(&$objFormParam) {
         // 入力データを渡す。
         $arrRet =  $objFormParam->getHashArray();
Index: /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Seo.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Seo.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Seo.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Basis_Seo extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Basis_Seo extends LC_Page_Admin_Ex {
 
     // {{{ properties
@@ -48,6 +47,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'basis/seo.tpl';
@@ -69,6 +67,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -80,6 +77,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         // データの取得
@@ -136,6 +132,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -147,6 +142,5 @@
      * @return integer 更新結果
      */
-    function lfUpdPageData($arrUpdData = array())
-    {
+    function lfUpdPageData($arrUpdData = array()) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
@@ -166,6 +160,5 @@
     }
 
-    function lfInitParam($mode, &$objFormParam)
-    {
+    function lfInitParam($mode, &$objFormParam) {
         $objFormParam->addParam('デバイスID', 'device_type_id', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('ページID', 'page_id', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
@@ -182,6 +175,5 @@
      * @return array 表示データ
      */
-    function lfSetData($arrPageData, $arrDispData)
-    {
+    function lfSetData($arrPageData, $arrDispData) {
 
         foreach ($arrPageData as $device_key => $arrVal) {
@@ -204,6 +196,5 @@
      * @return array $arrRet ページデータ($arrRet[デバイスタイプID])
      */
-    function lfGetSeoPageData()
-    {
+    function lfGetSeoPageData() {
         $objLayout = new SC_Helper_PageLayout_Ex();
 
